<?xml version="1.0"?>
<doc>
    <assembly>
        <name>TrayPanels.PluginContracts</name>
    </assembly>
    <members>
        <member name="T:TrayPanels.PluginContracts.IPluginBase">
            <summary>
            Interface of base plugin for the TrayPanels.
            </summary>
        </member>
        <member name="M:TrayPanels.PluginContracts.IPluginBase.Initialize">
            <summary>
            Initializes the plugin
            </summary>
        </member>
        <member name="M:TrayPanels.PluginContracts.IPluginBase.Dispose">
            <summary>
            Disposes the plugin.
            </summary>
        </member>
        <member name="P:TrayPanels.PluginContracts.IPluginBase.Name">
            <summary>
            Gets the name of the plugin. 
            </summary>
        </member>
        <member name="P:TrayPanels.PluginContracts.IPluginBase.Version">
            <summary>
            Gets the version of the plugin.
            </summary>
        </member>
        <member name="P:TrayPanels.PluginContracts.IPluginBase.Description">
            <summary>
            Gets the description of the plugin.
            </summary>
        </member>
        <member name="P:TrayPanels.PluginContracts.IPluginBase.AuthorName">
            <summary>
            Gets the author name of the plugin.
            </summary>
        </member>
        <member name="P:TrayPanels.PluginContracts.IPluginBase.WebProxyObject">
            <summary>
            Gets or sets an instance of WebProxy object.
            </summary>
        </member>
        <member name="T:TrayPanels.PluginContracts.IPluginNotifier">
            <summary>
            Interface of notifier plugin for the TrayPanels.
            </summary>
        </member>
        <member name="P:TrayPanels.PluginContracts.IPluginNotifier.NotifyImage">
            <summary>
            Gets the notify image. It shows at the left upper corner in the popup window
            </summary>
        </member>
        <member name="P:TrayPanels.PluginContracts.IPluginNotifier.NotifyText">
            <summary>
            Gets the notify text.
            </summary>
        </member>
        <member name="P:TrayPanels.PluginContracts.IPluginNotifier.NotifyTimeout">
            <summary>
            Gets the notify timeout. The time in seconds after which the popup is being closed. 0 will show popup infinitely.
            </summary>
        </member>
    </members>
</doc>
